Index: /trunk/src/org/expeditee/actions/Simple.java
===================================================================
--- /trunk/src/org/expeditee/actions/Simple.java	(revision 1101)
+++ /trunk/src/org/expeditee/actions/Simple.java	(revision 1102)
@@ -19,8 +19,5 @@
 package org.expeditee.actions;
 
-import java.awt.Color;
-import java.awt.Point;
-import java.awt.event.InputEvent;
-import java.awt.geom.Point2D;
+//import java.awt.event.InputEvent;
 import java.io.BufferedReader;
 import java.io.InputStreamReader;
@@ -47,12 +44,13 @@
 import org.expeditee.agents.SearchTree;
 import org.expeditee.agents.WriteTree;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
+import org.expeditee.gio.gesture.StandardGestureActions;
 import org.expeditee.gui.AttributeUtils;
 import org.expeditee.gui.AttributeValuePair;
 import org.expeditee.gui.Browser;
-import org.expeditee.gui.DisplayIO;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.FrameIO;
-import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.gui.FrameUtils;
 import org.expeditee.gui.FreeItems;
@@ -156,5 +154,5 @@
 	private static int _stepPause = -1;
 
-	private static Color _stepColor;
+	private static Colour _stepColor;
 
 	private static boolean _nextStatement;
@@ -173,5 +171,5 @@
 
 	public static void NewSimpleTest() {
-		Frame newSimpleTest = FrameIO.CreateFrame(DisplayIO.getCurrentFrame()
+		Frame newSimpleTest = FrameIO.CreateFrame(DisplayController.getCurrentFrame()
 				.getFramesetName(), "Test", null);
 		List<String> actions = new ArrayList<String>();
@@ -183,5 +181,5 @@
 
 	public static void NextTest() {
-		Frame next = DisplayIO.getCurrentFrame();
+		Frame next = DisplayController.getCurrentFrame();
 		do {
 			next = FrameIO.LoadNext(next);
@@ -191,5 +189,5 @@
 
 	public static void PreviousTest() {
-		Frame prev = DisplayIO.getCurrentFrame();
+		Frame prev = DisplayController.getCurrentFrame();
 		do {
 			prev = FrameIO.LoadPrevious(prev);
@@ -240,7 +238,7 @@
 		int testsFailed = 0;
 
-		FrameIO.SaveFrame(DisplayIO.getCurrentFrame(), false);
+		FrameIO.SaveFrame(DisplayController.getCurrentFrame(), false);
 		MessageBay.displayMessage("Starting test suite: " + _frameset,
-				Color.CYAN);
+				Colour.CYAN);
 
 		// Get the next number in the inf file for the _frameset
@@ -312,9 +310,9 @@
 		// Report the number of test passed and failed
 		MessageBay.displayMessage(
-				"Total tests: " + (testsPassed + testsFailed), Color.CYAN);
+				"Total tests: " + (testsPassed + testsFailed), Colour.CYAN);
 		if (testsPassed > 0)
 			MessageBay.displayMessage("Passed: " + testsPassed, Item.GREEN);
 		if (testsFailed > 0)
-			MessageBay.displayMessage("Failed: " + testsFailed, Color.RED);
+			MessageBay.displayMessage("Failed: " + testsFailed, Colour.RED);
 		// Remove items from the cursor...
 		FreeItems.getInstance().clear();
@@ -350,5 +348,5 @@
 	//Have changed parameters, so it takes an Item, not just a Text item.
 	private static void RunFrame(Frame frame, Item current,
-			boolean acceptKeyboardInput, boolean step, int pause, Color color) {
+			boolean acceptKeyboardInput, boolean step, int pause, Colour color) {
 		try {
 			if (current != null) {
@@ -358,5 +356,5 @@
 				 */
 				// DisplayIO.addToBack(current.getParent());
-				DisplayIO.addToBack(DisplayIO.getCurrentFrame());
+				DisplayController.addToBack(DisplayController.getCurrentFrame());
 			} else {
 				/* TODO we should not have to pass an item just to run a frame! */
@@ -365,7 +363,7 @@
 			}
 
-			_stepColor = color == null ? Color.green : color;
-			_stepColor = new Color(_stepColor.getRed(), _stepColor.getGreen(),
-					_stepColor.getBlue(), 50);
+			_stepColor = color == null ? Colour.GREEN : color;
+			_stepColor = new Colour(_stepColor.getRed(), _stepColor.getGreen(),
+					_stepColor.getBlue(), Colour.FromComponent255(50));
 			_stepPause = pause;
 			_step = step;
@@ -429,5 +427,5 @@
 	 */
 	public static void DebugFrame(Frame frame, Text current, float pause,
-			Color color) {
+			Colour color) {
 		if (isProgramRunning()) {
 			stop();
@@ -454,5 +452,5 @@
 		FrameUtils.DisplayFrame(item.getParent().getName(), true, true);
 		item.setHighlightMode(HighlightMode.Normal);
-		item.setHighlightColor(Color.CYAN);
+		item.setHighlightColor(Colour.CYAN);
 		FrameIO.SaveFrame(item.getParent());
 	}
@@ -499,8 +497,8 @@
 
 		if (_step) {
-			if (child != DisplayIO.getCurrentFrame()) {
-				DisplayIO.setCurrentFrame(child, true);
-			}
-			DisplayIO.addToBack(child);
+			if (child != DisplayController.getCurrentFrame()) {
+				DisplayController.setCurrentFrame(child, true);
+			}
+			DisplayController.addToBack(child);
 		}
 
@@ -524,5 +522,5 @@
 			AgentStats.ItemExecuted();
 			try {
-				Color oldColor = item.getBackgroundColor();
+				Colour oldColor = item.getBackgroundColor();
 				if (_step) {
 					pause(item);
@@ -534,4 +532,5 @@
 					} else {
 						item.setHighlightMode(Item.HighlightMode.None);
+						item.setHighlightColorToDefault();
 					}
 				}
@@ -541,5 +540,5 @@
 							&& lastItemStatus != Status.FalseIf) {
 						if (_step) {
-							DisplayIO.removeFromBack();
+							DisplayController.removeFromBack();
 						}
 						return lastItemStatus;
@@ -565,7 +564,7 @@
 
 		if (_step) {
-			DisplayIO.removeFromBack();
-			if (DisplayIO.getCurrentFrame() != current.getParent())
-				DisplayIO.setCurrentFrame(current.getParent(), true);
+			DisplayController.removeFromBack();
+			if (DisplayController.getCurrentFrame() != current.getParent())
+				DisplayController.setCurrentFrame(current.getParent(), true);
 		}
 
@@ -583,15 +582,16 @@
 			return;
 
-		Color oldColor = item.getBackgroundColor();
+		Colour oldColor = item.getBackgroundColor();
 		item.setBackgroundColor(_stepColor);
 		item.setHighlightMode(Item.HighlightMode.None);
+		item.setHighlightColorToDefault();
 
 		// Make sure we are on the frame with this item
 		Frame parent = item.getParentOrCurrentFrame();
-		if (!parent.equals(DisplayIO.getCurrentFrame())) {
-			DisplayIO.setCurrentFrame(parent, true);
+		if (!parent.equals(DisplayController.getCurrentFrame())) {
+			DisplayController.setCurrentFrame(parent, true);
 		}
 
-		FrameGraphics.Repaint();
+		DisplayController.requestRefresh(true);
 
 		int timeRemaining;
@@ -604,5 +604,5 @@
 			if (_stop) {
 				item.setBackgroundColor(oldColor);
-				item.setHighlightMode(HighlightMode.Normal, _stepColor);
+				item.setHighlightModeAndColour(HighlightMode.Normal, _stepColor);
 				throw new Exception("Program terminated");
 			}
@@ -1125,6 +1125,5 @@
 				// attribute without the value in the same item
 				if (!found && attributeItem != null) {
-					Point2D.Float endPoint = attributeItem
-							.getParagraphEndPosition();
+					Point endPoint = attributeItem.getParagraphEndPosition();
 
 					for (Text text : targetFrame.getTextItems()) {
@@ -1217,6 +1216,6 @@
 					String stringColor = context.getPrimitives().getVariable(
 							tokens[2]).stringValue();
-					item.setBackgroundColor((Color) Conversion.Convert(
-							Color.class, stringColor));
+					item.setBackgroundColor((Colour) Conversion.Convert(
+							Colour.class, stringColor));
 				} else if (tokens[0].equals("setitemcolor")) {
 					assertVariableType(tokens[1], 1, SPointer.itemPrefix);
@@ -1226,5 +1225,5 @@
 					String stringColor = context.getPrimitives().getVariable(
 							tokens[2]).stringValue();
-					item.setColor((Color) Conversion.Convert(Color.class,
+					item.setColor((Colour) Conversion.Convert(Colour.class,
 							stringColor, item.getColor()));
 					
@@ -1377,6 +1376,5 @@
 					// attribute without the value in the same item
 					if (!found && attributeItem != null) {
-						Point2D.Float endPoint = attributeItem
-								.getParagraphEndPosition();
+						Point endPoint = attributeItem.getParagraphEndPosition();
 
 						for (Text text : targetFrame.getTextItems()) {
@@ -1484,5 +1482,5 @@
 					assertVariableType(tokens[1], 1, SPointer.framePrefix);
 
-					Frame currentFrame = DisplayIO.getCurrentFrame();
+					Frame currentFrame = DisplayController.getCurrentFrame();
 					context.getPointers().setObject(tokens[1], currentFrame);
 
@@ -1504,11 +1502,10 @@
 							&& tokens.length > 2) {
 						Text text = (Text) currentItem;
-						int cursorLinePos = text
-								.getLinePosition(FrameMouseActions.getY());
+						int cursorLinePos = text.getLinePosition(DisplayController.getMouseY());
 						context.getPrimitives().setValue(tokens[2],
 								new SInteger(cursorLinePos + 1));
 						if (tokens.length > 3) {
 							int cursorCharPos = text.getCharPosition(
-									cursorLinePos, DisplayIO.getMouseX())
+									cursorLinePos, DisplayController.getMouseX())
 									.getCharIndex();
 							context.getPrimitives().setValue(tokens[3],
@@ -1532,5 +1529,5 @@
                    
                     //no frame specified by user so use current frame.
-                    getFrameName = DisplayIO.getCurrentFrame().getName();
+                    getFrameName = DisplayController.getCurrentFrame().getName();
                     getItem = Misc.getItemContainingData(data, FrameUtils.getFrame(getFrameName));
                 }
@@ -1569,5 +1566,5 @@
 						
 						//no frame specified by user so use current frame.
-						getFrameName = DisplayIO.getCurrentFrame().getName();
+						getFrameName = DisplayController.getCurrentFrame().getName();
 						getItem = Misc.getItemAtPosition(x, y, FrameUtils.getFrame(getFrameName));
 					}
@@ -1662,5 +1659,5 @@
 					assertVariableType(tokens[1], 1, SPointer.itemPrefix);
 					// assertPrimitiveType(tokens[2], 2);
-					Color itemColor = ((Item) context.getPointers()
+					Colour itemColor = ((Item) context.getPointers()
 							.getVariable(tokens[1]).getValue())
 							.getPaintBackgroundColor();
@@ -1672,5 +1669,5 @@
 					assertVariableType(tokens[1], 1, SPointer.itemPrefix);
 					// assertPrimitiveType(tokens[2], 2);
-					Color itemColor = ((Item) context.getPointers()
+					Colour itemColor = ((Item) context.getPointers()
 							.getVariable(tokens[1]).getValue()).getPaintColor();
 					String color = itemColor.getRed() + " "
@@ -1834,5 +1831,5 @@
 			double delay = context.getPrimitives().getDoubleValue(tokens[1]);
 			String s = getMessage(tokens, context, code.toString(), " ", 2);
-			DisplayIO.typeStringDirect(delay, s);
+			DisplayController.typeStringDirect(delay, s);
 		} else if (tokens[0].equals("type") || tokens[0].equals("typenospaces")) {
 
@@ -1840,5 +1837,5 @@
 					.equals("type") ? " " : "", 1);
 
-			DisplayIO.typeStringDirect(0.025, s);
+			DisplayController.typeStringDirect(0.025, s);
 		} else if (tokens[0].equals("runstring")) {
 			String codeText = getMessage(tokens, context, code.toString(), " ",
@@ -1858,5 +1855,5 @@
 				// Process p = Runtime.getRuntime().exec(new String[]{"date",
 				// ">", "test.date"});
-				MessageBay.displayMessage(command, Color.darkGray);
+				MessageBay.displayMessage(command, Colour.DARK_GREY);
 
 				BufferedReader stdInput = new BufferedReader(
@@ -2028,8 +2025,6 @@
 			Item item = (Item) context.getPointers().getVariable(itemVar)
 					.getValue();
-			item
-					.setPosition(FrameMouseActions.MouseX,
-							FrameMouseActions.MouseY);
-			FrameMouseActions.pickup(item);
+			item.setPosition(DisplayController.getMouseX(), DisplayController.getMouseY());
+			StandardGestureActions.pickup(item);
 		} else if (tokens[0].equals("attachstrtocursor")) {
 			String stringVar = DEFAULT_STRING;
@@ -2040,10 +2035,8 @@
 			}
 			String s = context.getPrimitives().getStringValue(stringVar);
-			Frame frame = DisplayIO.getCurrentFrame();
+			Frame frame = DisplayController.getCurrentFrame();
 			Item item = frame.createNewText(s);
-			item
-					.setPosition(FrameMouseActions.MouseX,
-							FrameMouseActions.MouseY);
-			FrameMouseActions.pickup(item);
+			item.setPosition(DisplayController.getMouseX(), DisplayController.getMouseY());
+			StandardGestureActions.pickup(item);
 		} else if (tokens[0].equals("additemtoframe")) {
 			String itemVar = DEFAULT_ITEM;
@@ -2410,5 +2403,5 @@
 						}
 					}
-					DisplayIO.setCurrentFrame(frame, false);
+					DisplayController.setCurrentFrame(frame, false);
 					pause(thisFramesPause);
 
@@ -2629,6 +2622,6 @@
 						tokens[3]) * 1000);
 
-			int initialX = DisplayIO.getMouseX();
-			int initialY = FrameMouseActions.getY();
+			int initialX = DisplayController.getMouseX();
+			int initialY = DisplayController.getMouseY();
 
 			final int timeInterval = 40;
@@ -2643,10 +2636,10 @@
 				Thread.yield();
 				Thread.sleep(timeInterval);
-				DisplayIO.setCursorPosition(newX, newY);
+				DisplayController.setCursorPosition(newX, newY);
 				// DisplayIO.repaint();
 			}
 			// Thread.yield();
 			Thread.sleep(milliseconds % timeInterval);
-			DisplayIO.setCursorPosition(finalX, finalY);
+			DisplayController.setCursorPosition(finalX, finalY);
 		} else if (tokens[0].equals("glideitemto")) {
 			assertMinParametreCount(tokens, 3);
@@ -2686,5 +2679,5 @@
 
 				item.setPosition(newX, newY);
-				FrameGraphics.Repaint();
+				DisplayController.requestRefresh(true);
 			}
 			// Thread.yield();
@@ -2692,7 +2685,7 @@
 			item.setPosition(finalX, finalY);
 			// DisplayIO.setCursorPosition(finalX, finalY);
-			FrameMouseActions.anchor(item);
+			StandardGestureActions.anchor(item);
 			FreeItems.getInstance().clear();
-			FrameGraphics.Repaint();
+			DisplayController.requestRefresh(true);
 			// FrameMouseActions.updateCursor();
 		}
@@ -2740,36 +2733,36 @@
 		} else if (tokens[0].equals("pressleftbutton")) {
 			assertExactParametreCount(tokens, 0);
-			DisplayIO.pressMouse(InputEvent.BUTTON1_MASK);
+			//DisplayIO.pressMouse(InputEvent.BUTTON1_MASK); TODO: Reinstate. cts16
 		} else if (tokens[0].equals("pressmiddlebutton")) {
 			assertExactParametreCount(tokens, 0);
-			DisplayIO.pressMouse(InputEvent.BUTTON2_MASK);
+			//DisplayIO.pressMouse(InputEvent.BUTTON2_MASK); TODO: Reinstate. cts16
 		} else if (tokens[0].equals("pressrightbutton")) {
 			assertExactParametreCount(tokens, 0);
-			DisplayIO.pressMouse(InputEvent.BUTTON3_MASK);
+			//DisplayIO.pressMouse(InputEvent.BUTTON3_MASK); TODO: Reinstate. cts16
 		} else if (tokens[0].equals("releaseleftbutton")) {
 			assertExactParametreCount(tokens, 0);
-			DisplayIO.releaseMouse(InputEvent.BUTTON1_MASK);
+			//DisplayIO.releaseMouse(InputEvent.BUTTON1_MASK); TODO: Reinstate. cts16
 		} else if (tokens[0].equals("releasemiddlebutton")) {
 			assertExactParametreCount(tokens, 0);
-			DisplayIO.releaseMouse(InputEvent.BUTTON2_MASK);
+			//DisplayIO.releaseMouse(InputEvent.BUTTON2_MASK); TODO: Reinstate. cts16
 		} else if (tokens[0].equals("releaserightbutton")) {
 			assertExactParametreCount(tokens, 0);
-			DisplayIO.releaseMouse(InputEvent.BUTTON3_MASK);
+			//DisplayIO.releaseMouse(InputEvent.BUTTON3_MASK); TODO: Reinstate. cts16
 		} else if (tokens[0].equals("clickleftbutton")) {
 			assertExactParametreCount(tokens, 0);
-			FrameMouseActions.leftButton();
+			// FrameMouseActions.leftButton(); TODO: Reinstate. cts16
 			// DisplayIO.clickMouse(InputEvent.BUTTON1_MASK);
 		} else if (tokens[0].equals("clickmiddlebutton")) {
 			assertExactParametreCount(tokens, 0);
-			FrameMouseActions.middleButton();
+			// FrameMouseActions.middleButton(); TODO: Reinstate. cts16
 			// DisplayIO.clickMouse(InputEvent.BUTTON2_MASK);
 		} else if (tokens[0].equals("clickrightbutton")) {
 			assertExactParametreCount(tokens, 0);
-			FrameMouseActions.rightButton();
+			// FrameMouseActions.rightButton(); TODO: Reinstate. cts16
 			// DisplayIO.clickMouse(InputEvent.BUTTON3_MASK);
 		} else if (tokens[0].equals("repaint")) {
 			assertExactParametreCount(tokens, 0);
 			// FrameGraphics.Repaint();
-			FrameGraphics.requestRefresh(true);
+			DisplayController.requestRefresh(true);
 		} else if (tokens[0].equals("add")) {
 			assertMaxParametreCount(tokens, 3);
@@ -2931,5 +2924,5 @@
 			int x = (int) context.getPrimitives().getIntegerValue(tokens[1]);
 			int y = (int) context.getPrimitives().getIntegerValue(tokens[2]);
-			DisplayIO.setCursorPosition(x, y);
+			DisplayController.setCursorPosition(x, y);
 			
 			
@@ -2981,5 +2974,5 @@
 
 		if (source == null)
-			source = DisplayIO.getCurrentFrame();
+			source = DisplayController.getCurrentFrame();
 		int lastParam = tokens.length - 1;
 		String resultVarName = null;
@@ -3102,5 +3095,5 @@
 		_programsRunning++;
 		AgentStats.reset();
-		MessageBay.displayMessage("Running SimpleProgram...", Color.BLUE);
+		MessageBay.displayMessage("Running SimpleProgram...", Colour.BLUE);
 	}
 
Index: /trunk/src/org/expeditee/agents/DefaultAgent.java
===================================================================
--- /trunk/src/org/expeditee/agents/DefaultAgent.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/DefaultAgent.java	(revision 1102)
@@ -19,6 +19,6 @@
 package org.expeditee.agents;
 
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.MessageBay;
 import org.expeditee.gui.TimeKeeper;
@@ -128,5 +128,5 @@
 		AGENTS_RUNNING--;
 
-		FrameGraphics.requestRefresh(true);
+		DisplayController.requestRefresh(true);
 		SessionStats.setEnabled(true);
 	}
Index: /trunk/src/org/expeditee/agents/DisplayComet.java
===================================================================
--- /trunk/src/org/expeditee/agents/DisplayComet.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/DisplayComet.java	(revision 1102)
@@ -23,5 +23,5 @@
 import java.util.Stack;
 
-import org.expeditee.gui.DisplayIO;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameIO;
@@ -45,5 +45,5 @@
 		Collection<String> seen = new HashSet<String>();
 
-		DisplayIO.addToBack(frame);
+		DisplayController.addToBack(frame);
 
 		// Goto the end of the comet
@@ -74,5 +74,5 @@
 			if (_stop)
 				return null;
-			DisplayIO.setCurrentFrame(_frameList.pop(), true);
+			DisplayController.setCurrentFrame(_frameList.pop(), true);
 			_frameCount++;
 			pause(_delay);
Index: /trunk/src/org/expeditee/agents/DisplayTree.java
===================================================================
--- /trunk/src/org/expeditee/agents/DisplayTree.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/DisplayTree.java	(revision 1102)
@@ -19,5 +19,5 @@
 package org.expeditee.agents;
 
-import org.expeditee.gui.DisplayIO;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.MessageBay;
@@ -54,5 +54,5 @@
 
 		// push current frame on to back-stack
-		DisplayIO.addToBack(start);
+		DisplayController.addToBack(start);
 
 		return super.initialise(start, launcher);
@@ -63,5 +63,5 @@
 		// return the user to the Frame they started on
 		if (!_stop) {
-			DisplayIO.Back();
+			DisplayController.Back();
 		}
 		super.finalise(start);
@@ -79,6 +79,6 @@
 
 		// ignore loops
-		if (toProcess != DisplayIO.getCurrentFrame())
-			DisplayIO.setCurrentFrame(toProcess, false);
+		if (toProcess != DisplayController.getCurrentFrame())
+			DisplayController.setCurrentFrame(toProcess, false);
 		// parse the frame for any pause settings
 		delay(toProcess);
Index: /trunk/src/org/expeditee/agents/Format.java
===================================================================
--- /trunk/src/org/expeditee/agents/Format.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/Format.java	(revision 1102)
@@ -26,6 +26,6 @@
 import java.util.List;
 
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.FrameUtils;
 import org.expeditee.items.Item;
@@ -148,5 +148,5 @@
 						+ /* item.getX() + */it.getBoundsWidth());
 
-			if (xCheck < FrameGraphics.getMaxSize().width) {
+			if (xCheck < DisplayController.getFramePaintArea().getWidth()) {
 				Item columnHead = columnHeads.get(i + 1);
 				if (columnHead.getX() < maxX && columnHead.getY() < maxY) {
@@ -182,5 +182,5 @@
 		start.setChanged(true);
 		start.addToUndoMove(changedItems);
-		FrameGraphics.requestRefresh(true);
+		DisplayController.requestRefresh(true);
 		return null;
 	}
Index: /trunk/src/org/expeditee/agents/GraphFramesetLinks.java
===================================================================
--- /trunk/src/org/expeditee/agents/GraphFramesetLinks.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/GraphFramesetLinks.java	(revision 1102)
@@ -19,11 +19,13 @@
 package org.expeditee.agents;
 
-import java.awt.Color;
 import java.util.List;
 
 import org.expeditee.actions.Misc;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Font;
+import org.expeditee.gio.gesture.StandardGestureActions;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameIO;
-import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.gui.FrameUtils;
 import org.expeditee.items.Item;
@@ -41,5 +43,4 @@
 import com.mxgraph.model.mxGraphModel;
 import com.mxgraph.view.mxGraph;
-import java.awt.Font;
 
 /**
@@ -74,8 +75,8 @@
 		String resultsFramesetName = "LinksGraphResults";
 
-		Color vertColor = new Color(51,145,148);
-		Color unlinkedVertColor = new Color(251,107,65);
-		Color outgoingVertColor = new Color(246,216,107);
-		Color lineColor = new Color(0,0,0, 20);
+		Colour vertColor = Colour.FromRGB255(51,145,148);
+		Colour unlinkedVertColor = Colour.FromRGB255(251,107,65);
+		Colour outgoingVertColor = Colour.FromRGB255(246,216,107);
+		Colour lineColor = Colour.FromRGBA255(0,0,0, 20);
 
 		try {
@@ -220,5 +221,6 @@
 		}
 		
-		Font keyFont = Font.decode(Font.SANS_SERIF + " 14");
+		Font keyFont = new Font("SansSerif");
+		keyFont.setSize(14);
 		
 		Text keyLink = resultsFrame.addText(0, 0, "\u2192 = Link", null);
@@ -228,5 +230,5 @@
 		
 		keyLink.setFont(keyFont);
-		keyLink.setColor(Color.DARK_GRAY);
+		keyLink.setColor(Colour.DARK_GREY);
 		
 		keyFrame.setFont(keyFont);;
@@ -239,13 +241,13 @@
 		keyFrameOutgoing.setColor(outgoingVertColor);
 		
-		keyFrameOutgoing.setAnchorBottom(10f);
-		keyFrameUnlinked.setAnchorBottom(30f);
-		keyFrame.setAnchorBottom(50f);
-		keyLink.setAnchorBottom(70f);
-		
-		keyFrameOutgoing.setAnchorLeft(10f);
-		keyFrameUnlinked.setAnchorLeft(10f);
-		keyFrame.setAnchorLeft(10f);
-		keyLink.setAnchorLeft(10f);
+		keyFrameOutgoing.setAnchorBottom(10);
+		keyFrameUnlinked.setAnchorBottom(30);
+		keyFrame.setAnchorBottom(50);
+		keyLink.setAnchorBottom(70);
+		
+		keyFrameOutgoing.setAnchorLeft(10);
+		keyFrameUnlinked.setAnchorLeft(10);
+		keyFrame.setAnchorLeft(10);
+		keyLink.setAnchorLeft(10);
 
 		// Moving to the area of the frame that contains the graph
@@ -256,6 +258,6 @@
 		Text link = new Text(toProcessFramesetName + " graph");
 		link.setLink(resultsFrame.getName());
-		link.setPosition(FrameMouseActions.getPosition());
-		FrameMouseActions.pickup(link);
+		link.setPosition(DisplayController.getMousePosition());
+		StandardGestureActions.pickup(link);
 		return null;
 	}
Index: /trunk/src/org/expeditee/agents/ScaleFrameset.java
===================================================================
--- /trunk/src/org/expeditee/agents/ScaleFrameset.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/ScaleFrameset.java	(revision 1102)
@@ -21,7 +21,7 @@
 import java.util.Collection;
 
+import org.expeditee.gio.gesture.StandardGestureActions;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameIO;
-import org.expeditee.gui.FrameKeyboardActions;
 import org.expeditee.gui.Vector;
 import org.expeditee.items.Item;
@@ -62,5 +62,5 @@
 
 		// TODO make this thread safe!
-		FrameKeyboardActions.Refresh();
+		StandardGestureActions.Refresh();
 
 		return null;
@@ -102,5 +102,5 @@
 				continue;
 			// if (!(item instanceof Line))
-			item.updatePolygon();
+			item.invalidateBounds();
 
 			if (item instanceof Line) {
Index: /trunk/src/org/expeditee/agents/SearchAgent.java
===================================================================
--- /trunk/src/org/expeditee/agents/SearchAgent.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/SearchAgent.java	(revision 1102)
@@ -21,7 +21,7 @@
 import java.util.Collection;
 
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameCreator;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.FrameIO;
 import org.expeditee.io.Conversion;
@@ -126,10 +126,10 @@
 	}
 
-	public static boolean searchFrame(FrameCreator results, String frameName,
-			String pattern, String replacementString) {
-		int oldMode = FrameGraphics.getMode();
-		FrameGraphics.forceXRayMode(false);
+	public static boolean searchFrame(FrameCreator results, String frameName, String pattern, String replacementString)
+	{
+		boolean wasXrayMode = DisplayController.isXRayMode();
+		if (!wasXrayMode) DisplayController.ToggleXRayMode();
 		Frame frameToSearch = FrameIO.LoadFrame(frameName);
-		FrameGraphics.setMode(oldMode, false);
+		if (!wasXrayMode) DisplayController.ToggleXRayMode();
 		if (frameToSearch == null)
 			return false;
@@ -142,5 +142,5 @@
 			}
 		}
-		FrameGraphics.requestRefresh(true);
+		DisplayController.requestRefresh(true);
 		FrameIO.SaveFrame(frameToSearch, false);
 		return true;
@@ -177,5 +177,5 @@
 				_results.addText(surrogate.toString(), null,
 						frameName, null, false);
-				FrameGraphics.requestRefresh(true);
+				DisplayController.requestRefresh(true);
 			}
 		}
Index: /trunk/src/org/expeditee/agents/SearchGreenstone.java
===================================================================
--- /trunk/src/org/expeditee/agents/SearchGreenstone.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/SearchGreenstone.java	(revision 1102)
@@ -23,4 +23,5 @@
 import java.util.Vector;
 
+import org.expeditee.gio.gesture.StandardGestureActions;
 import org.expeditee.greenstone.Greenstone3Connection;
 import org.expeditee.greenstone.Query;
@@ -29,9 +30,8 @@
 import org.expeditee.greenstone.ResultDocument;
 import org.expeditee.gui.AttributeValuePair;
-import org.expeditee.gui.DisplayIO;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameCreator;
 import org.expeditee.gui.FrameGraphics;
-import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.gui.MessageBay;
 import org.expeditee.items.Text;
@@ -175,8 +175,7 @@
 			doQuery(_pattern);
 		} else if (_currentResultSet != null) {
-			Text newText = DisplayIO.getCurrentFrame().createNewText(
-					getCursorText());
+			Text newText = DisplayController.getCurrentFrame().createNewText(getCursorText());
 			_clicked = newText;
-			FrameMouseActions.pickup(newText);
+			StandardGestureActions.pickup(newText);
 		}
 
@@ -389,5 +388,5 @@
 				false);
 
-		FrameGraphics.requestRefresh(true);
+		DisplayController.requestRefresh(true);
 	}
 
Index: /trunk/src/org/expeditee/agents/SearchTreeAndReplace.java
===================================================================
--- /trunk/src/org/expeditee/agents/SearchTreeAndReplace.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/SearchTreeAndReplace.java	(revision 1102)
@@ -22,6 +22,6 @@
 import java.util.HashSet;
 
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.FrameIO;
 import org.expeditee.items.Text;
@@ -79,5 +79,5 @@
 			}
 		}
-		FrameGraphics.requestRefresh(true);
+		DisplayController.requestRefresh(true);
 		FrameIO.SaveFrame(frameToSearch, false);
 		return true;
Index: /trunk/src/org/expeditee/agents/Sort.java
===================================================================
--- /trunk/src/org/expeditee/agents/Sort.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/Sort.java	(revision 1102)
@@ -19,5 +19,4 @@
 package org.expeditee.agents;
 
-import java.awt.Point;
 import java.util.ArrayList;
 import java.util.Collection;
@@ -25,6 +24,7 @@
 import java.util.Comparator;
 
+import org.expeditee.core.Point;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.FrameUtils;
 import org.expeditee.items.Text;
@@ -68,5 +68,5 @@
 		// items will need to be resorted after this
 		start.setResort(true);
-		FrameGraphics.Repaint();
+		DisplayController.requestRefresh(true);
 
 		return null;
Index: /trunk/src/org/expeditee/agents/SwitchyardTree.java
===================================================================
--- /trunk/src/org/expeditee/agents/SwitchyardTree.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/SwitchyardTree.java	(revision 1102)
@@ -19,7 +19,6 @@
 package org.expeditee.agents;
 
-import java.awt.Color;
-import java.awt.geom.Point2D;
-
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameIO;
@@ -44,12 +43,12 @@
 					Frame childFrame = FrameIO.LoadFrame(link);
 					if (childFrame != null) {
-						Point2D.Float lastItemEnd = textItem.getParagraphEndPosition();
+						Point lastItemEnd = textItem.getParagraphEndPosition();
 						for (Text childItem : childFrame.getBodyTextItems(false)) {
 							// look for red items (remember get color may be null
-							if (Color.RED.equals(childItem.getPaintColor())) {
+							if (Colour.RED.equals(childItem.getPaintColor())) {
 								// make a copy and add to parent frame
 								Text itemCopy = childItem.copy();
 								// add to the right of parent item
-								lastItemEnd.setLocation(lastItemEnd.x + 20, lastItemEnd.y);
+								lastItemEnd.set(lastItemEnd.x + 20, lastItemEnd.y);
 								itemCopy.setPosition(lastItemEnd.x, lastItemEnd.y);
 								lastItemEnd = itemCopy
